actualizar lenny a squeeze

Comentarios sobre el buen funcionamiento del sistema y como personalizarlo a tus necesidades.

Moderadores: doc, mcun

Responder
Avatar de Usuario
viko
Forista Medio
Forista Medio
Mensajes: 421
Registrado: Mié Nov 15, 2006 8:00 am
Ubicación: bolivia

actualizar lenny a squeeze

Mensaje por viko » Lun Oct 19, 2009 6:17 pm

e visto en esta pagina un tutorial de como cambiar los repositorios de lenny a squeezq a si
solo para instalar el gimp 2.6
pero solo es un paquete y no el sistema

lei por ahi en un post que pouse sobre debain
que debai bajar el debain lenny y actualiza a squeez
pues se hace de esta forma como dice aqui
http://www.linux-noa.com.ar/2009/05/ins ... ebian.html
Avatar de Usuario
moycas
Forista Nuevo
Forista Nuevo
Mensajes: 32
Registrado: Lun Sep 04, 2006 7:00 am
Contactar:

Mensaje por moycas » Lun Oct 19, 2009 6:29 pm

bueno esto no es actualizar lenny a squeeze

en lo personal es mejor usar el pin-priority para instalar el sofware de determinada rama de debian

saludos!
[color=red][b]Mi Blog (Nuevo):[/color][/b]
http://L1nux-1nside.blogspot.com

[color=red][b]Linux User:[/color][/b] 450169
Avatar de Usuario
viko
Forista Medio
Forista Medio
Mensajes: 421
Registrado: Mié Nov 15, 2006 8:00 am
Ubicación: bolivia

Mensaje por viko » Lun Oct 19, 2009 6:34 pm

pues como lo hago ?
y lo que hize esta bien?
Avatar de Usuario
milux1
Forista Ancestral
Forista Ancestral
Mensajes: 5366
Registrado: Lun Abr 03, 2006 7:00 am
Ubicación: San Roque- Cadiz- Andalucia

Mensaje por milux1 » Lun Oct 19, 2009 7:38 pm

Cambias los repositorios, poniendo squeeze en lugar de lenny, ejecutas aptitude update y despues aptitude safe-upgrade y despues aptitude full-upgrade

Lee esto antes
http://mundogeek.net/etiqueta/aptitude/

Particularmente, pienso que si pensabas utilisar squeeze, la mejor opcion hubira sido haber echo directamente la instalacion con la netinstall de esta en lugar de actualizar.
usuario linux:377508, debian lenny/squeeze,archlinux

Google casi siempre tiene la respuesta, solo hay que hacer la pregunta adecuada
Avatar de Usuario
moycas
Forista Nuevo
Forista Nuevo
Mensajes: 32
Registrado: Lun Sep 04, 2006 7:00 am
Contactar:

Mensaje por moycas » Lun Oct 19, 2009 7:40 pm

Aqui narro como actualizar un programa Solamente!!

a) agrega estas listas a /ect/apt/sources.list

#Squeeze
deb ftp://ftp.mx.debian.org/debian squeeze main contrib non-free
deb-src ftp://ftp.mx.debian.org/debian squeeze main contrib non-free

#Sid
deb ftp://ftp.mx.debian.org/debian sid main contrib non-free
deb-src ftp://ftp.mx.debian.org/debian sid main contrib non-free

Guardas y cierras

b) ahora en el archivo /etc/apt/preferences escribe lo que sige, guardas y cierras

Package: *
Pin: release a=lenny
Pin-Priority: 500

Package: *
Pin: release a=squeeze
Pin-Priority: 60

Package: *
Pin: release a=sid
Pïn-Priority: 50

ya que allas guardado en terminal ejecutas
aptitude update

c) y para instalar la versión mas nueva de gimp

aptitude install -t sid gimp

Espero alla quedado claro

saludos!
[color=red][b]Mi Blog (Nuevo):[/color][/b]
http://L1nux-1nside.blogspot.com

[color=red][b]Linux User:[/color][/b] 450169
Avatar de Usuario
viko
Forista Medio
Forista Medio
Mensajes: 421
Registrado: Mié Nov 15, 2006 8:00 am
Ubicación: bolivia

Mensaje por viko » Mar Oct 20, 2009 1:36 am

pero si hago lo que dice
milux1
voy a tener problemas con los paquetes que ya tengo instalado?
en realida lo que quiero es tener los ultimos paquetes para poder instalarlos

por que e hecho lo que dice milux1
y buneo pongo el gimp y me pide instalr paquetes extras como libc6
eso esta bien?
Avatar de Usuario
moycas
Forista Nuevo
Forista Nuevo
Mensajes: 32
Registrado: Lun Sep 04, 2006 7:00 am
Contactar:

Mensaje por moycas » Mar Oct 20, 2009 2:15 am

si, pero como dice milux1 es para actualziar todo el sistema

si te cleas aptitude safe-upgrade te marcara muchisimas actualizaciones

Saludos
[color=red][b]Mi Blog (Nuevo):[/color][/b]
http://L1nux-1nside.blogspot.com

[color=red][b]Linux User:[/color][/b] 450169
Avatar de Usuario
milux1
Forista Ancestral
Forista Ancestral
Mensajes: 5366
Registrado: Lun Abr 03, 2006 7:00 am
Ubicación: San Roque- Cadiz- Andalucia

Mensaje por milux1 » Mar Oct 20, 2009 11:51 am

En principio, no deves de tener problemas, salvo que hayas instalado algun driver propietario, como ati o nvidia, que te tocara reinstalarlos para el nuevo kernel, siempre que no los hayas instalado de los repositorios, si es asi, te recomiendo que antes de reiniciar cambies el driver grafico por vesa
usuario linux:377508, debian lenny/squeeze,archlinux

Google casi siempre tiene la respuesta, solo hay que hacer la pregunta adecuada
Avatar de Usuario
enriquehh
Forista Distinguido
Forista Distinguido
Mensajes: 1337
Registrado: Sab Dic 08, 2007 8:00 am

Re: actualizar lenny a squeeze

Mensaje por enriquehh » Jue Oct 22, 2009 3:06 am

Hola como estas, no recomiendo una actualizacion total de Debian lenny a squeeze san muchos problemas, si quieres squeeze bajate mejor el cd de instalacion de squeeze, o como te dijeron instala desde un netinstall.


Creo que la mejor opcion de tener paquetes nuevos en lenny es apuntar a los repositorios de squeeeze o sid, con la salvedad de solo actualizar los paquetes que quieres.

saludos
Responder
  • Similar Topics
    Respuestas
    Vistas
    Último mensaje